//
//      Sciencéthic
//      Synthèse RVB
//      Exemple en colonnes
//
//      Cette utilisation nécessite l'installation de la bibliothèque
//      Adafruit NeoPixel
//      disponible dans "gérer les bibliothèques"
//

# include<Adafruit_NeoPixel.h>    // Inclut la bibliothèque Adafruit_NeoPixel
                                  // Qui permet de gérer l'afficheur 5x5 RVB
                                  // Plug'Uino

Adafruit_NeoPixel matriceLED = Adafruit_NeoPixel(25,2, NEO_GRB + NEO_KHZ800);
                                  // Initialise la matrice : 25 est le nombre de pixels
                                  // 2 est la sortie utilisée (ici, il faut donc brancher
                                  // la matrice sur D2)

void setup()              // Initialisation du programme
{
  matriceLED.begin();     // Initialisation de la matrice
 }

void loop()               // Boucle principale
{
// La syntaxe est la suivante :
// matriceLED.setPixelColor(numéro de la LED, matriceLED.Color(valeur Rouge, valeur Vert, Valeur Bleu)
// Les valeurs des couleurs vont de 0 (couleur éteinte) à 100 (intensité la plus forte).
// La LED 0 est la première LED en haut à gauche, puis la numérotation se fait en ligne : la LED 4 est 
// la dernière LED de la première ligne, la LED 5 la première LED de la deuxième ligne etc...

int Rouge = 100 ;
int Vert = 100;
int Bleu = 00;

for (int i = 0; i <=20; i=i+5){
  matriceLED.setPixelColor(i, matriceLED.Color(Rouge,0,0));
  matriceLED.setPixelColor(i+1, matriceLED.Color(0,Vert,0));
  matriceLED.setPixelColor(i+2, matriceLED.Color(0,0,Bleu));
  matriceLED.setPixelColor(i+4, matriceLED.Color(Rouge,Vert,Bleu));

}

matriceLED.show();        // Affiche la matrice
}
